
Katello - Bug #6312

Create content (pulp) feature and 'default content' feature in pluggable smart proxy

06/20/2014 01:27 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee:    

Category: Hosts   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For the issues discussed here https://github.com/Katello/katello/pull/4282

we need a two new features in the smart proxy:

Content (aka Pulp Node)

Default Content (aka master pulp server running on katello server)

The reason we need both is that the smart proxy on the master pulp server should not be able to have lifecycle environments added

or removed from them.  It would also help identifying the 'default capsule'

Related issues:

Blocks Katello - Bug #6314: Content source host attribute should be restricte... Closed 06/20/2014

History

#1 - 07/07/2014 11:24 AM - Eric Helms

- Blocks Bug #6314: Content source host attribute should be restricted to smart proxies with Content and Default Content features added

#2 - 07/07/2014 11:25 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 07/28/2014 08:43 AM - Eric Helms

- Target version changed from 49 to 54

#4 - 08/15/2014 12:58 PM - Eric Helms

- Status changed from New to Closed

#5 - 08/22/2014 08:58 AM - Eric Helms

- translation missing: en.field_release set to 13
